Create a customer group
Create a customer group for customer specific pricing.
POST
/api/v1/{team_slug}/{app_slug}/customer-groupsAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Request body
requiredapplication/jsoncustomer group details
discount_percentageintegerdiscount_percentage_decimalsintegernamestringrequiredslugstringrequiredstore_group_idstringrequiredtypestringrequiredResponses
200
customer group created successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGrouprequiredShow propertiesHide properties
app_idstringcreated_atstringdiscount_percentageinteger | nulldiscount_percentage_decimalsinteger | nullidstringnamestringslugstringstore_group_idstringtypestringupdated_atstringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad payload, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired409
Conflict (e.g. already exists)
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired